import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DeleteHumanLoopRequest,
  DeleteHumanLoopResponse,
} from "../models/models_0";
import {
  SageMakerA2IRuntimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../SageMakerA2IRuntimeClient";
export { __MetadataBearer, $Command };
export interface DeleteHumanLoopCommandInput extends DeleteHumanLoopRequest {}
export interface DeleteHumanLoopCommandOutput
  extends DeleteHumanLoopResponse,
    __MetadataBearer {}
declare const DeleteHumanLoopCommand_base: {
  new (
    input: DeleteHumanLoopCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteHumanLoopCommandInput,
    DeleteHumanLoopCommandOutput,
    SageMakerA2IRuntimeClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: DeleteHumanLoopCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteHumanLoopCommandInput,
    DeleteHumanLoopCommandOutput,
    SageMakerA2IRuntimeClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DeleteHumanLoopCommand extends DeleteHumanLoopCommand_base {}
