import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  StopHumanLoopRequest,
  StopHumanLoopResponse,
} from "../models/models_0";
import {
  SageMakerA2IRuntimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../SageMakerA2IRuntimeClient";
export { __MetadataBearer, $Command };
export interface StopHumanLoopCommandInput extends StopHumanLoopRequest {}
export interface StopHumanLoopCommandOutput
  extends StopHumanLoopResponse,
    __MetadataBearer {}
declare const StopHumanLoopCommand_base: {
  new (
    input: StopHumanLoopCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StopHumanLoopCommandInput,
    StopHumanLoopCommandOutput,
    SageMakerA2IRuntimeClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: StopHumanLoopCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StopHumanLoopCommandInput,
    StopHumanLoopCommandOutput,
    SageMakerA2IRuntimeClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class StopHumanLoopCommand extends StopHumanLoopCommand_base {}
